<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotMemoryMetadata extends \Google\Protobuf\Internal\Message
{
    


    private $addedFacts;
    


    private $removedFacts;
    


    protected $disclaimer = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAddedFacts()
    {
        return $this->addedFacts;
    }

    




    public function setAddedFacts($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotMemoryFact::class);
        $this->addedFacts = $arr;

        return $this;
    }

    



    public function getRemovedFacts()
    {
        return $this->removedFacts;
    }

    




    public function setRemovedFacts($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotMemoryFact::class);
        $this->removedFacts = $arr;

        return $this;
    }

    



    public function getDisclaimer()
    {
        return isset($this->disclaimer) ? $this->disclaimer : '';
    }

    public function hasDisclaimer()
    {
        return isset($this->disclaimer);
    }

    public function clearDisclaimer()
    {
        unset($this->disclaimer);
    }

    




    public function setDisclaimer($var)
    {
        GPBUtil::checkString($var, True);
        $this->disclaimer = $var;

        return $this;
    }

}

